# Disable payment link

Disable a payment link.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/transfers.write` scope.

## Endpoint

`DELETE /accounts/{accountID}/payment-links/{paymentLinkCode}`

## Example Requests

### cURL

```shell
curl -X DELETE "https://api.moov.io/accounts/{accountID}/payment-links/{paymentLinkCode}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### TypeScript

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.paymentLinks.disable({
    accountID: "c1cf000d-0dd9-4dec-bd5e-a88e135adf82",
    paymentLinkCode: "uc7ZYKrMhi",
  });

console.log(result);
}

run();
```

### PHP

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->paymentLinks->disable(
    accountID: 'c1cf000d-0dd9-4dec-bd5e-a88e135adf82',
    paymentLinkCode: 'uc7ZYKrMhi'
);

if ($response->statusCode === 200) {
    // handle response
}
```

### Java

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.DisablePaymentLinkResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

DisablePaymentLinkResponse res = sdk.paymentLinks().disable()
                .accountID("c1cf000d-0dd9-4dec-bd5e-a88e135adf82")
                .paymentLinkCode("uc7ZYKrMhi")
                .call();

// handle response
    }
}
```

### Python

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.payment_links.disable(account_id="c1cf000d-0dd9-4dec-bd5e-a88e135adf82", payment_link_code="uc7ZYKrMhi")

# Handle response
    print(res)
```

### Ruby

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.payment_links.disable(account_id: 'c1cf000d-0dd9-4dec-bd5e-a88e135adf82', payment_link_code: 'uc7ZYKrMhi')

if res.status_code == 200
  # handle response
end
```

### C#

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.PaymentLinks.DisableAsync(
    accountID: "c1cf000d-0dd9-4dec-bd5e-a88e135adf82",
    paymentLinkCode: "uc7ZYKrMhi"
);

// handle response
```

## Response Statuses

- The request completed successfully, but there is no content to return.
- The request contained missing or expired authentication.
- The user is not authorized to make the request.
- The requested resource was not found.
- Request was refused due to rate limiting.
- The request failed due to an unexpected error.
- The request failed because a downstream service failed to respond.

## API Versioning

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

### Possible values:

`v2026.07.00`  
The merchant account ID.
